# Contributing

Contributions are welcome, and they are greatly appreciated! Every little bit helps, and credit will always be given.

## Report Bugs

Report bugs at the [project gitHub issue page](https://github.com/jwzhanggy/tinyBIG/issues).

If you are reporting a bug, please also include information about:

* Your operating system name and version.
* Any details about your local setup that might be helpful in troubleshooting.
* Detailed steps to reproduce the bug.

## Fix Bugs and Add New Features

You may look through the [project gitHub issue page](https://github.com/jwzhanggy/tinyBIG/issues) for potential problems to help with. 

* Anything tagged with "bug" and "help wanted" is open to whoever wants to implement it.
* Anything tagged with "enhancement" and "help wanted" is open to whoever wants to implement it.

## Write Documentation

We provide the preliminary version of the documentation at the {{toolkit}} website.
`tinybig` could always use more documentation, whether as part of the official `tinybig` docs, 
in docstrings, or even on the web in blog posts, articles, and such.

## Send Feedbacks

The best way to send feedback is to file an issue at the [project gitHub issue page](https://github.com/jwzhanggy/tinyBIG/issues).
We will check and solve the reported issues periodically.

If you are proposing a feature to be potentially added into `tinybig`:

* Please explain in detail how it would work, and how it would be intergrated into the current framework.
* Keep the scope as narrow as possible, to make it easier to implement.
* Remember that this is a volunteer-driven project, and that contributions are welcome.