# {{ toolkit }} Documentation

The documentations of the `tinybig` library will be organized as follows.

-----------

<div class="grid cards" markdown>
- :fontawesome-solid-dove: [__`tinybig`__](tinybig/index.md) library for rpn model design, building, training, and evaluation
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.module`__](module/index.md) for rpn model component design and assembly
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.expansion`__](expansion/index.md) for data expansion function design and implementation
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.reconciliation`__](reconciliation/index.md) for parameter reconciliation function design and implementation
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.remainder`__](remainder/index.md) for remainder function design and implementation
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.model`__](model/index.md) for deep rpn model design and building
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.config`__](config/index.md) for deep rpn model configuration design and processing
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.learner`__](learner/index.md) for deep rpn model training and testing
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.data`__](data/index.md) for deep rpn model dataloader design
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.output`__](output/index.md) for deep rpn model output processing, saving and loading
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.metric`__](metric/index.md) for deep rpn model performance evaluation
</div>

<div class="grid cards" markdown>
- :fontawesome-solid-feather-pointed: [__`tinybig.util`__](util/index.md) for deep rpn model utility function definition
</div>

-----------